man(1)

NAME
/bookmark - the Profanity /bookmark command.

DESCRIPTION
Manage bookmarks and join bookmarked rooms. If you are in a chat room and no arguments are supplied to `/bookmark add`, autojoin is set to "on". There is also an autojoin ignore list in case you want to autojoin in many clients but not on Profanity.

SYNOPSIS
/bookmark

/bookmark list [<jid>]

/bookmark add [<room>] [nick <nick>] [password <password>] [name <roomname>] [autojoin on|off]

/bookmark update <room> [nick <nick>] [password <password>] [name <roomname>] [autojoin on|off]

/bookmark remove [<room>]

/bookmark join <room>

/bookmark invites on|off

/bookmark ignore

/bookmark ignore add <jid>

/bookmark ignore remove <jid>

ARGUMENTS

list [<jid>]
    List all bookmarks. Or the details of one.

add [<room>]
    Add a bookmark, passing no room will bookmark the current room, setting autojoin to "on".

remove [<room>]
    Remove a bookmark, passing no room will remove the bookmark for the current room, if one exists.

update <room>
    Update the properties associated with a bookmark.

nick <nick>
    Nickname used when joining the chat room.

password <password>
    Password if required, may be stored in plaintext on your server.

name <roomname>
    Optional name for the bookmark. By default localpart of the JID will be used.

autojoin on|off
    Whether to join the room automatically on login.

join <room>
    Join room using the properties associated with the bookmark.

invites on|off
    Whether or not to bookmark accepted room invites, defaults to 'on'.

ignore add <barejid>
    Add a bookmark to the autojoin ignore list.

ignore remove <barejid>
    Remove a bookmark from the autojoin ignore list.

EXAMPLES
/bookmark add room@example.com nick YOURNICK

/bookmark join room@example.com

/bookmark update room@example.com nick NEWNICK autojoin on

/bookmark ignore room@example.com

/bookmark list

/bookmark list room@example.com

/bookmark remove room@example.com